# Generated by Django 4.2.5 on 2023-10-06 11:54

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models

import picklefield.fields


class Migration(migrations.Migration):
    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("import_export_extensions", "0003_importjob_skip_parse_step"),
    ]

    operations = [
        migrations.AlterField(
            model_name="exportjob",
            name="created_by",
            field=models.ForeignKey(
                editable=False,
                help_text="User which started job",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to=settings.AUTH_USER_MODEL,
                verbose_name="Created by",
            ),
        ),
        migrations.AlterField(
            model_name="exportjob",
            name="error_message",
            field=models.CharField(
                blank=True,
                default=str,
                help_text="Python error message in case of import/export error",
                max_length=128,
                verbose_name="Error message",
            ),
        ),
        migrations.AlterField(
            model_name="exportjob",
            name="resource_path",
            field=models.CharField(
                help_text="Dotted path to subclass of `import_export.Resource` that should be used for import",
                max_length=128,
                verbose_name="Resource class path",
            ),
        ),
        migrations.AlterField(
            model_name="exportjob",
            name="result",
            field=picklefield.fields.PickledObjectField(
                default=str,
                editable=False,
                help_text="Internal job result object that contain info about job statistics. Pickled Python object",
                verbose_name="Job result",
            ),
        ),
        migrations.AlterField(
            model_name="exportjob",
            name="traceback",
            field=models.TextField(
                blank=True,
                default=str,
                help_text="Python traceback in case of import/export error",
                verbose_name="Traceback",
            ),
        ),
        migrations.AlterField(
            model_name="importjob",
            name="created_by",
            field=models.ForeignKey(
                editable=False,
                help_text="User which started job",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to=settings.AUTH_USER_MODEL,
                verbose_name="Created by",
            ),
        ),
        migrations.AlterField(
            model_name="importjob",
            name="error_message",
            field=models.CharField(
                blank=True,
                default=str,
                help_text="Python error message in case of import/export error",
                max_length=128,
                verbose_name="Error message",
            ),
        ),
        migrations.AlterField(
            model_name="importjob",
            name="result",
            field=picklefield.fields.PickledObjectField(
                default=str,
                editable=False,
                help_text="Internal job result object that contain info about job statistics. Pickled Python object",
                verbose_name="Job result",
            ),
        ),
        migrations.AlterField(
            model_name="importjob",
            name="traceback",
            field=models.TextField(
                blank=True,
                default=str,
                help_text="Python traceback in case of import/export error",
                verbose_name="Traceback",
            ),
        ),
    ]
